## view
Class PRegistrationURL

    java.lang.Object
      view.GoURL
          view.PRegistrationURL

    public class PRegistrationURL

extends GoURL

Constructor Summary
`PRegistrationURL(ID tid)` As above, but 'pre' also defaults to false.
`PRegistrationURL(ID tid, boolean pre)` As above, but 'printable' also defaults to false.
`PRegistrationURL(ID tid, boolean pre, boolean printable)` 'edit' defaults to false and 'eid' to null.
`PRegistrationURL(ID tid, boolean pre, ID eid)` As above, but 'printable' also default to false.
`PRegistrationURL(ID tid, boolean pre, ID eid, boolean printable)` As above, but missing parameters are given default values.
`PRegistrationURL(ID tid, boolean pre, ID eid, boolean edit, boolean printable)` Constructs the URL.

Method Summary

Methods inherited from class view.GoURL
`toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PRegistrationURL

    public PRegistrationURL(ID tid,
                            boolean pre,
                            ID eid,
                            boolean edit,
                            boolean printable)

  Constructs the URL.

  Parameters:
    `tid` - the ID of the tournament the registration of which to display.
    `pre` - if true, displays the pre-registration, otherwise final registration.
    `eid` - the ID of an entry to prefill the registration form with. if null, the entry will be empty.
    `edit` - if true, the page will contain an edit form, prefilled with given entry data (eid). if false but eid isn't null, the form will be prefilled with a pre-entry (eid), which can be confirmed on the page.
    `printable` - if true, displays only a printable list of entries, ignoring the three parameters above.

### PRegistrationURL

    public PRegistrationURL(ID tid,
                            boolean pre,
                            ID eid,
                            boolean printable)

  As above, but missing parameters are given default values. Here 'edit' defaults to false.

### PRegistrationURL

    public PRegistrationURL(ID tid,
                            boolean pre,
                            ID eid)

  As above, but 'printable' also default to false.

### PRegistrationURL

    public PRegistrationURL(ID tid,
                            boolean pre,
                            boolean printable)

  'edit' defaults to false and 'eid' to null.

### PRegistrationURL

    public PRegistrationURL(ID tid,
                            boolean pre)

  As above, but 'printable' also defaults to false.

### PRegistrationURL

    public PRegistrationURL(ID tid)

  As above, but 'pre' also defaults to false.